New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

increase test coverage #3

Merged
merged 1 commit into from Apr 7, 2015

Conversation

Projects
None yet
2 participants
@leejo
Contributor

leejo commented Mar 1, 2015

I have been given this module as my March CPAN-PRC distribution. I've tried to look at #2 but the module will neither build or test cleanly. It seems to be utterly broken against current versions of its dependencies (or their dependencies, or their...) so i've just added a few tests to the t/simple.t test that should pass if i could get this to build.

/Volumes/code_partition/Dist-Zilla-Role-MetaCPANInterfacer > dzil test
[Bootstrap::lib] Bootstrapping lib
Detected current environment to be in "author mode" but couldn't load all
modules. Missing (author) modules were:

  autovivification

You should install these modules via CPAN, but these modules are not
required by your users (unless you add them to your META file).
Global symbol "$VERSION" requires explicit package name at lib/Dist/Zilla/Role/MetaCPANInterfacer.pm line 81, <GEN0> line 9.
Compilation failed in require at /Users/leejohnson/lib/perl5/site_perl/5.18.1/Module/Runtime.pm line 317, <GEN0> line 9.
Compilation failed in require at /Users/leejohnson/lib/perl5/site_perl/5.18.1/Module/Runtime.pm line 317, <GEN0> line 9.
Compilation failed in require at /Users/leejohnson/lib/perl5/site_perl/5.18.1/Module/Runtime.pm line 317, <GEN0> line 9. at /Users/leejohnson/lib/perl5/site_perl/5.18.1/darwin-2level/Class/MOP/Method/Wrapped.pm line 158.

perl:

/Volumes/code_partition/Dist-Zilla-Role-MetaCPANInterfacer > perl -V | head -n11
Summary of my perl5 (revision 5 version 18 subversion 1) configuration:

  Platform:
    osname=darwin, osvers=12.4.0, archname=darwin-2level
    uname='darwin lees-macbook-pro.local 12.4.0 darwin kernel version 12.4.0: wed may 1 17:57:12 pdt 2013; root:xnu-2050.24.15~1release_x86_64 x86_64 '
    config_args='-Dprefix=/Users/leejohnson -d -e'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=undef, usemultiplicity=undef
    useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
    use64bitint=define, use64bitall=define, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
increase test coverage
can_ok and isa_ok tests on the attributes the object that uses the
role should have
@SineSwiper

This comment has been minimized.

Owner

SineSwiper commented Apr 7, 2015

Looks reasonable enough. Thanks.

I'll figure out what's going on with Travis and the weird missing $VERSION error.

SineSwiper added a commit that referenced this pull request Apr 7, 2015

@SineSwiper SineSwiper merged commit e6018cb into SineSwiper:master Apr 7, 2015

1 check failed

continuous-integration/travis-ci/pr The Travis CI build failed
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment